.sidenav_container {
  text-align: center;
}

:host {
  display: block;
  padding: 0;
  min-width: 40px;
  height: calc(100vh - 200px);
}

  :host ul li {
    padding: 10px 20px;
    margin: 0 -20px;
  }

  :host .user-icon {
    width: 50px;
    height: 50px;
    border-radius: 50px;
  }

.mat-icon {
  vertical-align: middle;
}

.navigation li .mat-icon {
  margin-right: 0;
}

.navigation li a,
.navigation li .mat-icon {
  color: white;
  font-size: 0.9rem;
}

.navigation li .mat-icon {
  height: 0.9rem;
}

.nav-list .nav-list-item.selected,
.navigation li.selected {
  background-color: #a18bd6;
}

  .navigation li.selected a,
  .navigation li.selected .mat-icon {
    color: #a18bd6;
  }

.mat-form-field-prefix .mat-icon,
.mat-form-field-suffix .mat-icon.location-icon {
  font-size: 26px;
  line-height: 1.125;
}

.navigation a.selected {
  background-color: #191e57;
}

.main-menu {
  color: #ff934d !important;
  cursor: pointer;
}

  .main-menu .mat-icon {
    font-size: 0.7rem;
    height: 0.7rem;
  }

.person {
  color: #ff934d;
}

.sidenav_container {
  min-width: 60px;
  height: calc(100vh - 200px);
}

.person {
  width: 20px;
  height: 20px;
  object-fit: cover;
  border-radius: 50%;
}

.open-menu .person {
  width: 32px;
  height: 32px;
}

.nav-list .nav-list-item {
  color: white;
  text-decoration: none;
}

.toggleButton,
.toggleButton:hover {
  color: white;
  text-decoration: none;
}

:host .toggleButton .mat-list-item-content {
  background-color: #ff934d;
  border-radius: 50%;
}

.open-icon {
  position: absolute;
  right: 0;
}

.mat-expansion-panel {
  background-color: #394085;
  box-shadow: none !important;
}

.right-icon {
  position: absolute;
  right: 10px;
}

:host ::ng-deep .locationSelect,
:host ::ng-deep .locationSelect .mat-select-value,
:host ::ng-deep .locationSelect .mat-select-arrow {
  color: white !important;
}

  :host ::ng-deep .locationSelect .mat-form-field-underline {
    display: none;
  }

.sidebar-inner {
  position: relative;
  height: 100vh;
}

.sidebar-bottom-logo img {
  max-width: 90px;
  margin-bottom: 10px;
}

.c-sidebar-item {
  height: 42px !important;
  position: relative;
}

.close-user-menu .mat-icon {
  margin-left: 0.7em;
  margin-right: 0 !important;
}

.close-nav-menu .mat-icon {
  margin-left: 0.7em;
  margin-right: 0 !important;
}

  .close-nav-menu .mat-icon.location-icon {
    margin-left: 0.3em !important;
    margin-right: 0 !important;
  }

.close-user-menu .mat-icon.open-menu {
  margin-left: 0.3em !important;
  margin-right: 6px !important;
}

.close-user-menu .default-icon {
  margin-right: 6px;
  margin-left: 10px;
}

.close-nav-menu .default-icon {
  margin-right: 6px;
  margin-left: 10px;
}

.sidebar-space {
  padding-left: 30px !important;
}

.sidebar-select-space {
  padding-left: 8px !important;
  padding-top: 3px;
  padding-right: 20px;
}

.open-user-menu .c-sidebar-item {
  height: 42px !important;
}

.close-user-menu .c-sidebar-item {
  height: 42px !important;
}

.open-nav-menu .c-sidebar-item {
  margin: 0 !important;
}

.close-nav-menu .c-sidebar-item {
  margin: 0 !important;
}

::ng-deep .c-location .mat-form-field-infix {
  display: flex !important;
  align-items: center;
  border-bottom: 0.84375em solid transparent;
}


/* .close-nav-menu .location-icon {
    border-top: 0.84375em solid transparent;
    border-bottom: 0.84375em solid transparent;
} */

.location-icon {
  font-size: 22px;
}

::ng-deep .sidebar-select-space .mat-select-value-text span {
  font-weight: 700;
}

.c-mat-divider {
  border-top-color: #ABAAB0;
}

.open-user-menu,
.close-user-menu {
  padding-top: 10px;
  padding-bottom: 10px;
}

.open-user-menu {
  height: 301px;
}

.open-nav-menu {
  height: 360px;
  overflow-y: auto;
}

.bottom-fix {
  /* width: 100%; */
  padding: 10px 0;
  background: #394085;
}

.sidenav-nav-menu-wrapper {
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  flex-direction: column;
  -webkit-box-pack: justify;
  justify-content: space-between;
  height: calc(100vh - 302px);
  overflow: auto;
}

::ng-deep .sidebar-select-space .mat-select-arrow {
  border: none !important;
}

.location-field-wrapper {
  position: relative;
}

.c-dropdown-icon {
  position: absolute;
  right: 17px;
  top: 17px;
  color: #ffffff;
  margin-right: 0;
}

.close-nav-menu .c-dropdown-icon {
  display: none;
}

.extra-space {
  padding: 16px 0;
}

.close-user-menu {
  height: 301px;
}

.close-nav-menu .location-field-wrapper {
  height: 58px !important;
}

.cc-location-wrapper {
  height: 58px !important;
  padding-left: 7px !important;
}

a {
  color: #ffffff !important;
}

.open-icon {
  margin-right: 16px;
}

.close-nav-menu .location-icon {
  padding-left: 7px;
}

::ng-deep .close-nav-menu .mat-form-field-infix {
  width: 30px !important;
}

@media screen and (max-height:733px) {
  .bottom-fix {
    border-top: 1px solid #abaab0;
  }
}

.mat-list-option:hover, .mat-list-option:focus, .mat-nav-list .mat-list-item:hover, .mat-nav-list .mat-list-item:focus, .mat-action-list .mat-list-item:hover, .mat-action-list .mat-list-item:focus {
  background: #a18bd6;
}

.top-bar-sidebar:hover {
  background: transparent !important;
}

.close-nav-menu {
  max-height: 360px;
  overflow-y: auto;
  overflow-x: hidden;
}

.sidebar-bottom-logo1 img {
  max-width: 30px !important;
  margin-bottom: 0px;
}

.location-container {
  height: 57px;
  padding: 0 16px;
}
